def simulation(tau,yita,k):
    s0 = 11212000 
    e0 = 0
    i0 = 1
    population = s0
    beta = 0.3/population      #S被I_home感染的概率
    omega = 1/7    #潜伏期发病率
    gamma = 0.07   #轻症无治疗治愈率
    alpha1 = 1.5  #轻症有治疗，对轻症患者来说，方舱和医院能够提供的治疗无明显差别
    alpha2 = 0.003  #重症无治疗
    alpha3 = 0.05  #重症有治疗
    theta = 0.5  #无治疗死亡率
    alpha4 = 0.2  #有治疗死亡率与无治疗的比值
    delta = 0.3        #无治疗轻症转重症
    alpha5 = 0.05  #有治疗轻症转重症
    threshold = population * 6 * 1e-04   # 医院床位数目
    cabin_threshold = 0      #初始方舱数目
    # yita = 10  #单位医疗床位可以转化成方舱床位个数
    time = 1 #物资到达持续时间，1表示在一天内到达
    date_discovery = int(1/ omega)
    date = 10   # 方舱开始建设的时间
    # k = 1000   #资源总量

    for i in range(10*date_discovery):
        ts = s0-beta*i0*s0
        te = e0+beta*i0*s0-omega*e0
        ti = i0+omega*e0
        s0 = ts
        e0 = te
        i0 = ti
    S = [s0]
    E = [e0]
    I_mild_home = [i0]
    I_mild_hospital = [0]
    I_severe_home = [0]
    I_severe_hospital = [0]
    C = [0]     #cabin,方舱
    R = [0]
    D = [0]
    

    time_count = 0    # 物资到达计时，用于控制支援物资持续时间
    for i in range(1,500):
        S.append(S[i-1]-beta*(I_mild_home[i-1]+I_severe_home[i-1])*S[i-1])
        E.append(E[i-1]+beta*(I_mild_home[i-1]+I_severe_home[i-1])*S[i-1]-omega*E[i-1])
        if i < date:
            i1 = I_mild_home[i-1]+omega*E[i-1]-(gamma+delta)*I_mild_home[i-1]
            i2 = I_mild_hospital[i-1]-(alpha1*gamma+alpha5*delta)*I_mild_hospital[i-1]
            i3 = I_severe_home[i-1]+delta*I_mild_home[i-1]-(alpha2*gamma+theta)*I_severe_home[i-1]
            i4 = I_severe_hospital[i-1]+alpha5*delta*I_mild_hospital[i-1]-(alpha3*gamma+alpha4*theta)*I_severe_hospital[i-1]
            if i1+i2+i3+i4 <= threshold:
                I_mild_home.append(0)
                I_severe_home.append(0)
                I_mild_hospital.append(i1+i2)
                I_severe_hospital.append(i3+i4)
            elif i3+i2+i4 <= threshold:
                I_mild_home.append(i1+i2+i3+i4-threshold)
                I_severe_home.append(0)
                I_mild_hospital.append(threshold-i3-i4)
                I_severe_hospital.append(i3+i4)
            else:
                I_mild_home.append(i1)
                I_severe_home.append(i2+i3+i4-threshold)
                I_mild_hospital.append(i2)
                I_severe_hospital.append(threshold-i2)
            C.append(0)
        else:
            if time_count < time:
                threshold = threshold + (1-tau) * k
                cabin_threshold = cabin_threshold + yita * k * tau
                time_count += 1

            if i == date:
                i1 = I_mild_home[i-1]+omega*E[i-1]-(gamma+delta)*I_mild_home[i-1]
                i2 = I_mild_hospital[i-1]-(alpha1*gamma+alpha5*delta)*I_mild_hospital[i-1]
                i3 = I_severe_home[i-1]+delta*I_mild_home[i-1]-(alpha2*gamma+theta)*I_severe_home[i-1]
                i4 = I_severe_hospital[i-1]+alpha5*delta*I_mild_hospital[i-1]-(alpha3*gamma+alpha4*theta)*I_severe_hospital[i-1]
                I_mild_home.append(max([i1+i2-cabin_threshold,0]))
                C.append(min([i1+i2,cabin_threshold]))
                I_severe_home.append(max([i3+i4-threshold,0]))
                I_severe_hospital.append(min([i3+i4,threshold]))
                I_mild_hospital.append(0)
            else:
                i1 = I_mild_home[i-1]+omega*E[i-1]-(gamma+delta)*I_mild_home[i-1]
                i5 = C[i-1]-(alpha1*gamma+alpha5*delta)*C[i-1]
                i3 = I_severe_home[i-1]+delta*I_mild_home[i-1]-(alpha2*gamma+theta)*I_severe_home[i-1]
                i4 = I_severe_hospital[i-1]+alpha5*delta*C[i-1]-(alpha3*gamma+alpha4*theta)*I_severe_hospital[i-1]
                I_mild_home.append(max([i1+i5-cabin_threshold,0]))
                C.append(min([i1+i5,cabin_threshold]))
                I_severe_hospital.append(min([i3+i4,threshold]))
                I_severe_home.append(max([i3+i4-threshold,0]))
                I_mild_hospital.append(0)
        R.append(R[i-1]+gamma*I_mild_home[i-1]+alpha1*gamma*I_mild_hospital[i-1]+alpha1*gamma*C[i-1]+alpha2*gamma*I_severe_home[i-1]+alpha3*gamma*I_severe_hospital[i-1])
        D.append(D[i-1]+theta*I_severe_home[i-1]+alpha4*theta*I_severe_hospital[i-1])
    S = [S[i]/population for i in range(len(S))]
    E = [E[i]/population for i in range(len(E))]
    I_mild_home = [I_mild_home[i]/population for i in range(len(I_mild_home))]
    I_mild_hospital = [I_mild_hospital[i]/population for i in range(len(I_mild_hospital))]
    I_severe_home = [I_severe_home[i]/population for i in range(len(I_severe_home))]
    I_severe_hospital = [I_severe_hospital[i]/population for i in range(len(I_severe_hospital))]
    C = [C[i]/population for i in range(len(C))]
    D = [D[i]/population for i in range(len(D))]
    R = [R[i]/population for i in range(len(R))]
    return S, E, I_mild_home, I_mild_hospital, I_severe_home, I_severe_hospital, C, D, R